<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html" version="4.0" encoding="iso-8859-1" indent="yes" omit-xml-declaration="yes"/>

<xsl:template match="/">
<xsl:variable name="id" select="//level/@id" />
<xsl:variable name="lname" select="//level/@name" />
<xsl:variable name="parent_id" select="//level/@parent_id" />
<xsl:variable name="parent_name" select="//level/@parent_name" />
<xsl:variable name="grandpa_id" select="//level/@grandpa_id" />
<xsl:variable name="semester" select="//level/@semester" />
<xsl:variable name="semester_id" select="//level/@semester_id" />
<xsl:variable name="path_to_doc" select="string(concat('../static/',$semester_id,'/',$id))" />
<xsl:variable name="info_file" select="string(concat($path_to_doc,'_info.xml'))" />
<xsl:variable name="info_file_exists" select="boolean(document($info_file))" />
<xsl:variable name="lectures_file" select="string(concat($path_to_doc,'_lectures.xml'))" />
<xsl:variable name="lectures_file_exists" select="boolean(document($lectures_file))" />

<html>
	<xsl:copy-of select="document('header.xml')/head" />
<body>
	<a name="top"></a>	
	<div id="content" class="documentContent">
		<div id='skipDiv'>
			<ul>
				<li><a class='skiplink' href='#struktur'>zur Veranstaltungshierarchie</a></li>
				<li><a class='skiplink' href='#courses'>zu Veranstaltungen der aktuellen Veranstaltungshierarchie</a></li>
			</ul>
		</div>
		<div id="headerDiv">
			<div id="logoDiv">
				<a href="root.xml" title=""><img src="../../layout/logo.gif" height="73px" width="150px" alt="" /></a>
			</div>
			<div id="langDiv" style="display:none">
				<a href="extern.php?semester=WiSe 2010/11&amp;lang=en&amp;mode=full" title="english"><img src="../../layout/flag-gb.gif" alt="" /></a>&nbsp;|&nbsp;<a href="extern.php?semester=WiSe 2010/11&amp;lang=de&amp;mode=full" title="deutsch"><img src="../../layout/flag-de.gif" alt="" /></a>
			</div>	
		</div>		
  		<div id="portal-breadcrumbs">
			<xsl:if test="$grandpa_id=''">
				<span id="breadcrumbs-you-are-here">Sie sind hier:</span>&nbsp;<a href="root.xml">Vorlesungsverzeichnis</a>&nbsp;&rarr;&nbsp;<a href="{$id}.xml"><xsl:value-of select="$lname" /></a>
			</xsl:if>
			<xsl:if test="$grandpa_id!=''">
				<span id="breadcrumbs-you-are-here">Sie sind hier:</span>&nbsp;<a href="root.xml">Vorlesungsverzeichnis</a>&nbsp;&rarr;&nbsp;<a href="{$parent_id}.xml"><xsl:value-of select="$parent_name" /></a>&nbsp;&rarr;&nbsp;<a href="{$id}.xml"><xsl:value-of select="$lname" /></a>
			</xsl:if>
		</div>		
		<h1>Vorlesungsverzeichnis: <xsl:value-of select="$semester" /></h1>
		<!--
		no language no search formular
		-->
		<br />
		<br />				
		<div id="evvContent">
			<h2><xsl:value-of select="$lname" /></h2>
			<div id="zurueckDiv"><a href="{$parent_id}.xml">&larr;&nbsp;zurck</a></div>
			<xsl:if test="$info_file_exists">
				<xsl:apply-templates select="document($info_file)/info" />
			</xsl:if>			
			<h3>Veranstaltungen</h3>
			<xsl:if test="/level/info_level!='' and /level/@grandpa_id=''">
				<p><xsl:copy-of select="/level/info_level" /></p>
			</xsl:if>	
			<!-- page depth until 2 -->
			<xsl:if test="/level/@grandpa_id=''">
				<ul class="echt">
					<xsl:apply-templates select="/level/level">
						<xsl:with-param name="index" select="1" />
					</xsl:apply-templates>
					<!--<xsl:call-template name="index_level2" />-->
				</ul>
			</xsl:if>
			<!-- page depth >2 with internal navigation  -->
			<xsl:if test="/level/@grandpa_id!=''">
				<ul class="navi">
					<xsl:apply-templates select="/level/level">
						<xsl:with-param name="index" select="1" />
					</xsl:apply-templates>
					<!--
					<xsl:apply-templates select="/level/level[@kap='0']">
						<xsl:with-param name="index" select="1" />
					</xsl:apply-templates>
					-->
				</ul>
			</xsl:if>
			<xsl:if test="/level/info_level!='' and /level/@grandpa_id!=''">
				<p><xsl:copy-of select="/level/info_level" /></p>
			</xsl:if>
			<!--
			<xsl:if test="//level/@grandpa_id!='' and /level/@kap='0'">		
				<ul class="navi">
					<xsl:apply-templates select="/level/*[@kap='0']"/>
				</ul>
			</xsl:if>
			<xsl:if test="//level/@grandpa_id='' and /level/@kap='0'">
				<ul class="echt">
					<xsl:apply-templates select="/level/*[@kap='0']"/>
				</ul>
			</xsl:if>
			-->
			<!--<xsl:apply-templates select="/level/*[@kap='1']"/>-->
			
			<br />
			<br />
			<xsl:if test="/level/@grandpa_id!=''">				
				<xsl:apply-templates select="/level">
					<xsl:with-param name="index" select="0" />
					<xsl:with-param name="lectures_file" select="$lectures_file" />
					<xsl:with-param name="lectures_file_exists" select="$lectures_file_exists" />
				</xsl:apply-templates>
			</xsl:if>
			<xsl:if test="$lectures_file_exists and /level/@grandpa_id=''">
				<hr class="clearer" />
				<div class='lectureItems'>
					<xsl:apply-templates select="document($lectures_file)//lectures" />
					<!--
					<br />
					<a href='#top'>nach oben</a><br /><br />
					-->
				</div>
			</xsl:if>
			<!--
			<h4>Erstmal nur fr Entwicklung:</h4>
			<div>
				<label for="semester">Semesterauswahl: </label>
				<select name="semester" id="semester">
					<option value='SS 2009' >SoSe 2009</option>
					<option value='WiSe 2009/10' >WiSe 2009/10</option>
					<option value='SoSe 2010' selected="selected">SoSe 2010</option>
					<option value='WiSe 2010/11' >WiSe 2010/11</option>
					<option value='SoSe 2011' > SoSe 2011</option>
				</select>&nbsp;<input type='button' value='Zeigen' name='semesterSubmit' onclick="selectSemester();"/>
			</div>
			<br />
			-->
			<!--<p>Lecture File: <xsl:value-of select="$lectures_file_exists" /></p>-->
		</div>
	</div>
	<xsl:copy-of select="document('footer.xml')/div" />	
</body>
</html>
</xsl:template>

<!--
<xsl:template name="index_level2">
	<xsl:for-each select="/level/level[@kap='0']">
		<li><a href="{@id}.xml"><xsl:value-of select="@name" /></a></li>
	</xsl:for-each>	
</xsl:template>
-->
<!--
<xsl:template name="">
	<xsl:for-each select="/level/level[@kap='0']">
		<li><a href="{@id}.xml"><xsl:value-of select="@name" /></a></li>
	</xsl:for-each>	
</xsl:template>
-->
<xsl:template match="level">
	<xsl:param name="index" />
	<xsl:param name="lectures_file" />
	<xsl:param name="lectures_file_exists" />
	<!--<xsl:variable name="level_id" select="@id" />-->
	<xsl:variable name="level_count" select="string(concat('inst',count(ancestor::*)))" />
	<xsl:variable name="lectures" select="document($lectures_file)//lectures[@parent_id=current()/@id]/lecture" />
	<!-- for creating index --> 
	
	<xsl:if test="$index='1'">
	<!-- for index until page depth 2 -->
		<xsl:if test="@grandpa_id='' and @kap='0'">
			<li><a href="{@id}.xml"><xsl:value-of select="@name" /></a></li>
			<xsl:apply-templates select="level">
				<xsl:with-param name="index" select="$index" />
				<xsl:with-param name="lectures_file" select="$lectures_file" />
				<xsl:with-param name="lectures_file_exists" select="$lectures_file_exists" />
			</xsl:apply-templates>
		</xsl:if>
		
		<!-- for index page depth >  2 -->
		<xsl:if test="@grandpa_id!=''">			
			<xsl:if test="@kap='0'">
				<li class="{$level_count}"><a href="#v{@id}"><xsl:value-of select="@name" /></a></li>
				<xsl:apply-templates select="level">
					<xsl:with-param name="index" select="$index" />
					<xsl:with-param name="lectures_file" select="$lectures_file" />
					<xsl:with-param name="lectures_file_exists" select="$lectures_file_exists" />
				</xsl:apply-templates>
			</xsl:if>
		</xsl:if>
	</xsl:if>
	<!-- for content section kaps and lectures -->
	<xsl:if test="$index='0'">
		<a name="v{@id}">&nbsp;</a>		
		<xsl:choose>
			<xsl:when test="@kap='1' and $lectures">
				<h6 class='naviH6'><xsl:value-of select="@name" /></h6>
				<xsl:if test="info_level!=''">
					<p><xsl:copy-of select="info_level" /></p>
				</xsl:if>
			</xsl:when>
			<xsl:when test="@kap='0' and $level_count='inst1'">
				<h3 class="naviH3"><xsl:value-of select="@name" />&nbsp;<a class="aTop" href="#top" title="">&uArr;</a></h3>
				<xsl:if test="info_level!=''">
					<p><xsl:copy-of select="info_level" /></p>
				</xsl:if>
				
			</xsl:when>
			
			<xsl:when test="@kap='0' and $level_count='inst2'">
				<h4 class='naviH4'><xsl:value-of select="@name" />&nbsp;<a class='aTop' href='#top' title=''>&uArr;</a></h4>
				<xsl:if test="info_level!=''">
					<p><xsl:copy-of select="info_level" /></p>
				</xsl:if>
			</xsl:when>
			<xsl:when test="@kap='0' and $level_count='inst3'">
				<h5 class='naviH5'><xsl:value-of select="@name" /></h5>
				<xsl:if test="info_level!=''">
					<p><xsl:copy-of select="info_level" /></p>
				</xsl:if>
			</xsl:when>
			<xsl:when test="@kap='0' and $level_count='inst4'">
				<h6 class='naviH6'><xsl:value-of select="@name" /></h6>
				<xsl:if test="info_level!=''">
					<p><xsl:copy-of select="info_level" /></p>
				</xsl:if>
			</xsl:when>
		</xsl:choose>
		<div class="lectureItems">			
			<xsl:if test="$lectures_file_exists">
				<!--<p>Lectures <xsl:value-of select="@parent_id" /> : <xsl:value-of select="$level_id" /></p>-->
				<!--<xsl:apply-templates select="document($lectures_file)//lectures[@parent_id=$level_id]/lecture" />-->
				<xsl:apply-templates select="$lectures" />
			</xsl:if>
		</div>
		<xsl:apply-templates select="level">
			<xsl:with-param name="index" select="$index" />
			<xsl:with-param name="lectures_file" select="$lectures_file" />
			<xsl:with-param name="lectures_file_exists" select="$lectures_file_exists" />
		</xsl:apply-templates>
	</xsl:if>
</xsl:template>

<!-- info if exists -->
<xsl:template match="info">
	<div id="adressDiv">
		<xsl:if test="ort != ''">
			<xsl:value-of select="ort" />
		</xsl:if>
		<br />
		<xsl:if test="adresse != ''">
			<xsl:value-of select="adresse" />
		</xsl:if>
		<br />
		<xsl:if test="telefon != ''">
			<img src="../../layout/fon2.gif" alt="Telefon" height="16px" />&nbsp;
			<xsl:value-of select="telefon" />&nbsp;&nbsp;&nbsp;&nbsp;
		</xsl:if>
		<xsl:if test="fax != ''">
			<img src="../../layout/fax.gif" alt="Fax" height="16px" />&nbsp;
			<xsl:value-of select="fax" /><br />
		</xsl:if>
		<xsl:if test="url != ''">
			<xsl:apply-templates select="url"/><br />
		</xsl:if>
		<xsl:if test="email != ''">
			<xsl:apply-templates select="email"/><br />
		</xsl:if>
	</div>
	<ul>
		<xsl:if test="DNr != ''">
		<li>
			<a href="http://hrza1.uni-giessen.de/evv-html/download/dekanat.cfm@FBNr={FBNr}&amp;Nr={DNr}&amp;S=SS&amp;A=0.html">Dekanat</a>
		</li>
		</xsl:if>
		<xsl:if test="PE != '0'">
		<li>
			<a href="http://hrza1.uni-giessen.de/evv-html/download/personal.cfm@FBNr={FBNr}&amp;S=SS&amp;A=0.html">Personal</a>
		</li>
		</xsl:if>
		<xsl:if test="WE != '0'">
		<li>
			<a href="http://hrza1.uni-giessen.de/evv-html/download/ueinrichtungen.cfm@FBNr={FBNr}&amp;S=SS&amp;A=0.html">Wissenschaftliche Einrichtungen</a>
		</li>
		</xsl:if>
	</ul>
	<br />
</xsl:template>
<!-- lectures if exists -->
<xsl:template match="lectures">
	<!-- <h1><a name="{@id}"><xsl:value-of select="@name" /></a></h1>-->
	<xsl:apply-templates select="lecture"/>
</xsl:template>

<xsl:template match="lecture">
	<xsl:variable name="row" select="string(concat('lectureItem',position() mod 2))" />
	<xsl:variable name="clearer" select="string(concat('clearer',position() mod 2))" />
	<a name="{@id}">&nbsp;</a>
	<div class="{$row}">
		<h4 class="titel"><xsl:value-of select="name" /><xsl:if test="nummer!=''">&nbsp;<span style="font-weight:normal">&nbsp;(<xsl:value-of select="nummer" />)</span></xsl:if></h4>
		<xsl:if test="info_veranstaltung!=''">
			<p><xsl:copy-of select="info_veranstaltung" /></p>
		</xsl:if>
		<xsl:if test="info_datum!=''">
			<p><xsl:copy-of select="info_datum" /></p>
		</xsl:if>
		
		<div class="lectureItemHeader">Dozent/-in:</div>
		<div class="lectureItemContent">
			<xsl:apply-templates select="dozent/entry" />			
		</div>
		
		<div class="lectureItemHeader">Zeit und Ort</div>
		<div class="lectureItemContent">
			<xsl:apply-templates select="reg_termin[entry]">
				<xsl:with-param name="clearer" select="$clearer" />
			</xsl:apply-templates>
			<xsl:apply-templates select="irreg_termin[entry]">
				<xsl:with-param name="clearer" select="$clearer" />
			</xsl:apply-templates>
			<xsl:if test="(not(reg_termin) and not(irreg_termin)) or (not(reg_termin/entry) and not(irreg_termin/entry))">k.A.</xsl:if>
		</div>
		<!--<hr class="{$clearer}" />-->
		<xsl:if test="zielgruppe[entry]">
			<xsl:apply-templates select="zielgruppe[entry]" />
		</xsl:if>
		<xsl:apply-templates select="labelval" />
		<xsl:if test="beschreibung and beschreibung!=''">
			<br />
			<div class="lectureItemHeader">Kommentar</div>
			<div class="lectureItemContent">
				<xsl:apply-templates select="beschreibung" />
			</div>
		</xsl:if>
		<hr class="{$clearer}" />
		<div class="studipLink">
			<div class="aTopLecture">
				<a href="#top" title="nach oben">nach oben</a>
			</div>
			<img src="../../layout/link_extern.gif" alt="" />
			<a href="https://studip.uni-giessen.de/studip/details.php?sem_id={@id}&amp;again=1" target="_blank" title='Zur Veranstaltung &quot;{@name}&quot; in Stud.IP springen'>&nbsp;StudIP</a>
		</div>		
	</div>
	
	<!-- TODO: mach mal lecker class als variable -->
	<!--
	<xsl:variable name="rowcolor" select="string(concat('rowcolor',position() mod 2))" />
	<div class="lectureItem {$rowcolor}" style="padding:4px;">
		<h4 class="titel"><xsl:value-of select="name" /><xsl:if test="nummer!=''">&nbsp;<span style="font-weight:normal">&nbsp;(<xsl:value-of select="nummer" />)</span>
		</xsl:if>
		</h4>
		
		<xsl:if test="info_veranstaltung!=''">
		<p>
			<xsl:apply-templates select="info_veranstaltung" />
		</p>
		</xsl:if>
		<xsl:if test="info_datum!=''">
		<p>
			<xsl:value-of select="info_datum" />
		</p>
		</xsl:if>
		
		<b>Dozent/-in:</b>&nbsp;
		<xsl:apply-templates select="dozent/entry" /><br />
		<b>Zeit, Raum</b>:&nbsp;<xsl:value-of select="zeit" />,&nbsp;<xsl:value-of select="ort" /><br />
		<xsl:if test="zielgruppe/entry">
		<b>Zielgruppen</b>&nbsp;
			<xsl:apply-templates select="zielgruppe/entry" /><br />
		</xsl:if>
		<xsl:if test="labelval=2">
			<br />			
			<img src="../../layout/elabel_1.gif" />&nbsp;<a href="http://www.uni-giessen.de/hrz/komm/label/" target="_blank" title="l_labelinfo">E-Learning <i>l_ergaenzung</i></a>			
		</xsl:if>
		<xsl:if test="labelval=3">
			<br />			
			<img src="../../layout/elabel_2.gif" />&nbsp;<a href="http://www.uni-giessen.de/hrz/komm/label/" target="_blank" title="l_labelinfo">E-Learning <i>l_ergaenzung</i></a>			
		</xsl:if>
		<xsl:if test="labelval=4">
			<br />			
			<img src="../../layout/elabel_3.gif" />&nbsp;<a href="http://www.uni-giessen.de/hrz/komm/label/" target="_blank" title="l_labelinfo">E-Learning <i>l_ergaenzung</i></a>			
		</xsl:if>
		<div style="width:95%;text-align:right;">
			<img src="../../layout/link_extern.gif" alt="" />
			<a href="https://studip.uni-giessen.de/studip/details.php?sem_id={@id}&amp;again=1" target="_blank" title="Zur Veranstaltung {name}">
			StudIP
			</a>
		</div>
	</div>
	-->
</xsl:template>

<!-- dozenten -->
<xsl:template match="dozent/entry">
	<xsl:variable name="nachname" select="nachname" />
	<xsl:variable name="vorname" select="vorname" />
	<xsl:variable name="fullname" select="fullname" />
	<xsl:variable name="username" select="username" />
	<xsl:variable name="doz_count" select="count(../entry[fullname!=''])" />
	<xsl:choose>
		<xsl:when test="$nachname='N.N. - kein Dozent in Stud.IP' and $doz_count='1'">N.N.</xsl:when>
		<xsl:when test="$username=''"><xsl:value-of select="$fullname" /></xsl:when>
		<xsl:when test="$nachname!='N.N. - kein Dozent in Stud.IP'">
			<a href="{$username}.xml" onclick="popup=window.open(this.href,'','toolbar=0,location=0,directories=0,status=0,menubar=0,scrollbars=1,resizable=0,width=400,height=260'); return false;" title="Kontakt {$vorname} {$nachname}"><xsl:value-of select="$fullname" /></a>&nbsp;
		</xsl:when>
	</xsl:choose>
	<!-- TODO: Link to person xml file username.xml -->
		<!--<a href="http://studip.uni-giessen.de/studip_test/jlu_evv/person.php?uid={$username}" onclick="popup=window.open(this.href,'','toolbar=0,location=0,directories=0,status=0,menubar=0,scrollbars=1,resizable=0,width=400,height=260'); return false;" title="Kontakt {$vorname} {$nachname}"><xsl:value-of select="$fullname" /></a>&nbsp;&nbsp;-->
		<!--<a href="{$username}.xml" onclick="popup=window.open(this.href,'','toolbar=0,location=0,directories=0,status=0,menubar=0,scrollbars=1,resizable=0,width=400,height=260'); return false;" title="Kontakt {$vorname} {$nachname}"><xsl:value-of select="$fullname" /></a>&nbsp;-->
	<!--
	<xsl:if test="$nachname='N.N. - kein Dozent in Stud.IP' and $doz_count='1'">N.N.</xsl:if>
	<xsl:if test="$username=''"><xsl:value-of select="$fullname" /></xsl:if>
	<xsl:if test="$username != ''">
		<a href="{$username}.xml" onclick="popup=window.open(this.href,'','toolbar=0,location=0,directories=0,status=0,menubar=0,scrollbars=1,resizable=0,width=400,height=260'); return false;" title="Kontakt {$vorname} {$nachname}"><xsl:value-of select="$fullname" /></a>&nbsp;
	</xsl:if>
	-->
</xsl:template>
<!-- reg_termin -->
<xsl:template match="reg_termin[entry]">
	<xsl:variable name="reg_count" select="count(entry)" />
	<table border="0" cellpadding="0" cellspacing="0">
		<tr>
			<td colspan="3" class="blau">
				<xsl:if test="$reg_count='1'">regelmiger Termin</xsl:if><xsl:if test="$reg_count &gt; '1'">regelmige Termine</xsl:if>
			</td>
		</tr>		
		<xsl:apply-templates select="entry" />
	</table>
	<br />
</xsl:template>
<xsl:template match="irreg_termin[entry]">
	<xsl:param name="clearer" />
	<xsl:variable name="count" select="count(entry)" />
	
	<div>
		<div class="blau">
			<xsl:if test="$count='1'">Einzeltermin </xsl:if><xsl:if test="$count&gt;'1'"><xsl:value-of select="$count" />&nbsp;Einzeltermine </xsl:if>
		</div>
		<xsl:if test="../irregTerminRoom!=''">
			<div><xsl:value-of select="../irregTerminRoom" /></div>
		</xsl:if>
		<div>
			<xsl:apply-templates select="entry" />
		</div>
	</div>
	<hr class="{$clearer}" />	
</xsl:template>
<xsl:template match="zielgruppe[entry]">
	<div class="lectureItemHeader">
		<xsl:if test="count(entry)='1'">Zielgruppe</xsl:if>
		<xsl:if test="count(entry) &gt; '1'">Zielgruppen</xsl:if>
	</div>
	<div class="lectureItemContent">
		<xsl:apply-templates select="entry" />
	</div>
</xsl:template>
<xsl:template match="labelval">
	<xsl:choose>
		<xsl:when test=".='2'">
			<div class="eLabelDiv">
				<img src="../../layout/elabel_1.gif" />&nbsp;<a href="http://www.uni-giessen.de/hrz/komm/label/" target="_blank" title="l_labelinfo">E-Learning&nbsp;<i>Ergnzung</i></a>				
			</div>			
		</xsl:when>
		<xsl:when test=".='3'">
			<div class="eLabelDiv">	
				<img src="../../layout/elabel_2.gif" />&nbsp;<a href="http://www.uni-giessen.de/hrz/komm/label/" target="_blank" title="l_labelinfo">E-Learning&nbsp;<i>Ergnzung</i></a>							
			</div>			
		</xsl:when>
		<xsl:when test=".='4'">
			<div class="eLabelDiv">		
				<img src="../../layout/elabel_3.gif" />&nbsp;<a href="http://www.uni-giessen.de/hrz/komm/label/" target="_blank" title="l_labelinfo">E-Learning&nbsp;<i>Ergnzung</i></a>							
			</div>			
		</xsl:when>
	</xsl:choose>
</xsl:template>

<xsl:template match="reg_termin/entry">
	<tr>
		<td nowrap="nowrap">
			<xsl:choose><xsl:when test="turnus='1'">zwei-wchentlich</xsl:when><xsl:otherwise>wchentlich</xsl:otherwise></xsl:choose>&nbsp;<xsl:value-of select="tag" />&nbsp;
		</td>
		<td nowrap="nowrap">
			<xsl:value-of select="startzeit" />&nbsp;-&nbsp;<xsl:value-of select="endzeit" />&nbsp;Uhr,&nbsp;&nbsp;
		</td>
		<td nowrap="nowrap">
			<xsl:choose>
				<xsl:when test="raum!=''"><xsl:value-of select="raum" /></xsl:when>
				<xsl:otherwise>k.A.</xsl:otherwise>
			</xsl:choose>
		</td>
	</tr>
</xsl:template>

<xsl:template match="irreg_termin/entry">
	<div style="clear:both">		
		<span class="terminTag"><xsl:value-of select="tag" /></span>
		<xsl:if test="datum!=''">
			<span class="terminDatum">&nbsp;<xsl:value-of select="datum" />,</span>
		</xsl:if>		
		<span class="terminZeit"><xsl:value-of select="startzeit" />&nbsp;-&nbsp;<xsl:value-of select="endzeit" />&nbsp; Uhr&nbsp;&nbsp;</span>
		
		<xsl:if test="raum!='' and (../irregTerminRoom='' or not(../irregTerminRoom))" >
			<span class="terminRaum"><xsl:value-of select="raum" /></span>
		</xsl:if>
		<xsl:if test="title!=''" >
			<span class="terminTitel"><xsl:value-of select="title" /></span>
		</xsl:if>
		<xsl:if test="description!=''" >
			<span class="terminDesc"><xsl:copy-of select="description" /></span>
		</xsl:if>
	</div>
</xsl:template>

<!-- zielgruppe -->
<xsl:template match="zielgruppe/entry">
	<xsl:variable name="count" select="count(ancestor::*)"/> 
	<xsl:value-of select="." />&nbsp;|&nbsp;
</xsl:template>

<xsl:template match="beschreibung">
	<xsl:copy-of select="." />
</xsl:template>

<xsl:template match="lectures"><xsl:apply-templates /></xsl:template>
<xsl:template match="info_veranstaltung"><xsl:copy-of select="." /></xsl:template>
<xsl:template match="url"><xsl:copy-of select="." /></xsl:template>
<xsl:template match="email"><xsl:copy-of select="." /></xsl:template>
<xsl:template match="text()"></xsl:template>
</xsl:stylesheet>
